> For the complete documentation index, see [llms.txt](https://docs.thryve.health/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thryve.health/further-resources/v5-api-reference/delete-end-user.md).

# Delete end user

To delete users, use the `UserInformation` interface, which enables the removal of entire end-user accounts along with their associated access tokens and data (such as daily and epoch data). By invoking the `UserInformation` interface with the `DELETE` method, users are placed in a deletion queue. This queue is then processed asynchronously by the Thryve backend.

{% hint style="warning" %}
Users are deleted asynchronously starting at midnight (UTC) following the specified deletion date. Data remains accessible via API until deletion is executed.
{% endhint %}

## Delete one or more users

> Schedule deletion of user accounts along with their associated DynamicEpochValues, DailyDynamicValues, and UserInformation.\
> Uses asynchronous deletion; returns 204 if successfully queued.<br>

```json
{"openapi":"3.1.0","info":{"title":"Thryve API","version":"5.0.0"},"servers":[{"url":"https://api.thryve.de"}],"paths":{"/v5/userInformation":{"delete":{"summary":"Delete one or more users","tags":["End User"],"description":"Schedule deletion of user accounts along with their associated DynamicEpochValues, DailyDynamicValues, and UserInformation.\nUses asynchronous deletion; returns 204 if successfully queued.\n","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"Basic Auth for your username:password. Required for all endpoints"},{"name":"AppAuthorization","in":"header","required":true,"schema":{"type":"string"},"description":"Basic Auth for your authID:authSecret. Required for all endpoints."}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/UserInformationDeletionRequest"}}}},"responses":{"204":{"description":"Successfully added to deletion queue."},"400":{"description":"Error response (invalid parameters, unauthorized, etc.).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"UserInformationDeletionRequest":{"type":"object","required":["authenticationToken"],"properties":{"authenticationToken":{"type":"string","description":"Comma-separated unique identifier of users in Thryve's system. Specify list of users to be deleted. Newer interfaces call this parameter endUserId."},"deletionDate":{"type":"string","format":"date-time","description":"Desired deletion date in ISO8601 format. If omitted, deletionDate defaults to seven days in the future."}}},"ErrorResponse":{"type":"string"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thryve.health/further-resources/v5-api-reference/delete-end-user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
